package cn.iocoder.yudao.module.member.controller.app.scoreRule.vo;

import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRuleOrderVExtraVO;
import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRuleShareExtraVO;
import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRulerRecommendExtraVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 积分规则 resp VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("客户端 - 积分规则列表 Response VO")
public class AppScoreRuleListBackVO {

    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ApiModelProperty(value = "指标类型", required = true)
    private Integer type;
    @ApiModelProperty(value = "指标类型中文")
    private String typeZh;
    @ApiModelProperty(value = "指标类型英文")
    private String typeEn;

    @ApiModelProperty(value = "规则标题中文", required = true)
    private String titleZh;

    @ApiModelProperty(value = "规则标题英文", required = true)
    private String titleEn;

    @ApiModelProperty(value = "规则说明中文", required = true)
    private String descZh;

    @ApiModelProperty(value = "规则说明英文", required = true)
    private String descEn;

    @ApiModelProperty(value = "封面图中文")
    private String coverImageZh;

    @ApiModelProperty(value = "封面图英文")
    private String coverImageEn;

    @ApiModelProperty(value = "推荐扩展字段")
    private ScoreRulerRecommendExtraVO extraRecommend;
    @ApiModelProperty(value = "分享扩展字段")
    private ScoreRuleShareExtraVO extraShare;
    @ApiModelProperty(value = "订单V值扩展字段")
    private ScoreRuleOrderVExtraVO extraOrderV;
}
